function [dims, births, deaths] = Eirene_Load(name, n)
dims = [];
births = [];
deaths = [];
try
    lives1 = dlmread(['Data/' name '/barcode0_' num2str(n)]);
    dims = [dims; zeros(size(lives1,1), 1)];
    births= [births; lives1(:,1)];
    deaths = [deaths; lives1(:,2)];
catch err
    lives1 = [];
end


try
    lives2 = dlmread(['Data/' name '/barcode1_' num2str(n)]);
    dims = [dims; ones(size(lives2,1),1)];
    births= [births; lives2(:,1)];
    deaths = [deaths; lives2(:,2)];
catch err
    lives2 = [];
end

try
    lives3 = dlmread(['Data/' name '/barcode2_' num2str(n)]);
    dims = [dims; 2*ones(size(lives3,1),1)];
    births= [births; lives3(:,1)];
    deaths = [deaths; lives3(:,2)];
catch err
    lives3 = [];
end

try
    lives4 = dlmread(['Data/' name '/barcode3_' num2str(n)]);
    dims = [dims; 3*ones(size(lives4,1),1)];
    births= [births; lives4(:,1)];
    deaths = [deaths; lives4(:,2)];
catch err
    lives4 = [];
end
f = find(deaths == inf);
if (~isempty(f))
    deaths(f) = max(deaths(logical(deaths~=inf)))*1.1;
    dims(f) = -1-dims(f);
end
