tic
clc; %close all;
% setenv('PATH', [getenv('PATH') ';C:\\Users\\ingenting\\Anaconda2\\']);
setenv('PATH', [getenv('PATH') ';C:\\Users\\ingenting\\AppData\\Local\\Julia-0.5.0\\bin']);

rng('shuffle');

r = randi(100, 1);
totName = ['experiment_' num2str(r)];
status = mkdir('Data',totName);
while(~status)    
    r = randi(1000, [n]);
    totName = ['experiment_' num2str(r)];
    status = mkdir('Data',totName);
end

%% Set variables

% scatter(x(floor(size(fhist,1)*0.9):end),y(floor(size(fhist,1)*0.9):end),[],fhist(floor(size(fhist,1)*0.9):end,1),'filled');
S1 = Sout;
software = 'ripser';
% S = Sout1;
% S = Sout;
% S1temp = S1;
% S1 = SoutTemp;
dim = 2;
coeff = 0;
start = 1;
stop = size(S1,2);
numpoints = 300;
dt = 1;%round((stop-start)/(numpoints-1));
% timesteps = start:dt:stop; 
orderComplex = false;

% N = size(S1,1);
N1 = size(S1,1);

timesteps = randi(stop, [numpoints 1]);
numPlace = {[]};
numPlace = {[randi(N1, [400,1])]};
numNormal = {[]};
% numNormal = {randi(N, [N,1])};
numTwoDir = {[]};
numHeadTwo = {[]};
numPoisson = {[]};
% c = 0;
% for i = 1:4:400
%     c = c +1;
%     numPlace(c) =  {randi(N1, [i,1])};
% end
% numTwoDir = {[1:1:100]};
% numHeadTwo = {[1:1:100]};
removeNb = [0];
dimPCA = [0];
neuronPoint = [false];
euclidDist = [true];
num = 0;
%% calculate Persistence
for i = 1:length(dt)
    for j = 1:length(numNormal)
        head1 = [];
        if(~isempty(numNormal{j})) head1 = S(numNormal{j}, timesteps); end
        for k = 1:length(numPlace)
            place = [];
            if(~isempty(numPlace{k})) place = S1(numPlace{k}, timesteps);  end
            for l = 1:length(numTwoDir)
                twoDir = [];
                if(~isempty(numTwoDir{l})) twoDir = S2(numTwoDir{l},  timesteps); end
                for m = 1:length(numHeadTwo)
                    head2 = [];
                    if(~isempty(numHeadTwo{m})) head2 = S3(numHeadTwo{m},timesteps); end%+stop); end
                    for n = 1:length(numPoisson)
                        poisson = [];
                        if(~isempty(numPoisson{n})) poisson = S4(numPoisson{n},timesteps); end
                        for o = 1:length(removeNb)
                            for p = 1:length(dimPCA)
                                for q = 1:length(neuronPoint)
                                    for r = 1:length(euclidDist)
                                        num = num+1;
                                        dataAll = [head1;place;twoDir;head2;poisson];
                                        inds = randperm(size(dataAll,1));
                                        dataAll = dataAll(inds, :);
%                                         dataAll = [x(:) y(:) z(:)]';%
%                                         ints = randi(size(dataAll,2), [100 1]);
%                                         dataAll = dataAll(:,ints);
                                        dists = computeDissimilarity(dataAll, removeNb(o), dimPCA(p), neuronPoint(q), euclidDist(r), orderComplex);
                                        filename = ['dists' num2str(num)];
                                        if(strcmp('eirene', software))
                                            dlmwrite(['Data/' totName '/' filename '.txt'], dists,'delimiter','\t');
                                        else
                                            save_distance_matrix(dists, ['Data/' totName '/' filename]);
                                        end
                                    end
                                end
                            end
                        end
                    end
                end
            end
        end
    end
end

if (strcmp('eirene', software))
    system(['julia eirene2.jl ' num2str(num) ' ' totName ' ' num2str(dim)]);
elseif (strcmp('ripser', software))
    if (coeff ~= 0)
        for i = 1:num
            dir = ['C:/Users/ingenting/OneDrive/Documents/Skole/Progging_PH/Head_Cell/Data/' totName '/'];
            system(['"C:\\cygwin64\\bin\\bash" --login -c ""C:/Users/ingenting/downloads/ripser-master/ripser-master/ripser-coeff" --format dipha --dim '...
                num2str(dim) ' --modulus ' num2str(coeff) ' ' dir 'dists' num2str(i) ' > "' dir 'out' num2str(i) '"']);
        end
    else
        for i = 1:num
            dir = ['C:/Users/ingenting/OneDrive/Documents/Skole/Progging_PH/Head_Cell/Deliver/Data/' totName '/'];
            system(['"C:\\cygwin64\\bin\\bash" --login -c ""C:/Users/ingenting/downloads/ripser-master/ripser-master/ripser" --format dipha --dim '...
                num2str(dim) ' ' dir 'dists' num2str(i) ' > "' dir 'out' num2str(i) '"']);
        end
    end
elseif (strcmp('dipha', software))
    for i = 1:num
        %% dipha OBS: dipha halverer distansen.
        inputname = ['C:\\Users\\ingenting\\OneDrive\\Documents\\Skole\\Progging_PH\\Head_Cell\\Data\\' totName '\\dists' num2str(i)];
        outputname = ['C:\\Users\\ingenting\\OneDrive\\Documents\\Skole\\Progging_PH\\Head_Cell\\Data\\' totName '\\' num2str(i)];
        system(['C:\\Users\\ingenting\\Downloads\\dipha-master\\dipha-master\\build\\Release\\dipha.exe --upper_dim ' num2str(dim) ' ' inputname ' ' outputname])
%         system(['C:\\Users\\ingenting\\OneDrive\\Documents\\Skole\\Progging_PH\\Head_Cell\\dipha.cmd ' num2str(num) ' ' num2str(dim) ' ' fname]);
    end
elseif (strcmp('wcrf', software))
    %% weight clique rank filtration
    [allsimplices, ordAll, allvals] = save_wrcf(dists, dim);
    [dims, births, deaths] = computePersHom(allsimplices, ordAll, allvals, upperdim);
    figure;
    plot_persistence_diagram(0, dims, births, deaths);
    %     fid = fopen([filename '.txt'], 'w' );
    %     fprintf(fid, 'dims \t births \t deaths \t ents  \n');
    %     for i = 1:length(dims)
    %         fprintf(fid, [num2str(round(dims(i),3)) ' \t\t ' num2str(round(births(i),3)) ' \t\t ' num2str(round(deaths(i),3)) ' \t\t ' num2str(ents{i}) '\n'] );
    %     end
    %     fclose(fid);
end

delta1 = toc;
disp(delta1);
tic
num = 0;
life12 = zeros(length(dt), length(numNormal),length(numPlace),length(numTwoDir),length(numHeadTwo), ...
    length(numPoisson), length(removeNb), length(dimPCA), length(neuronPoint), length(euclidDist), 2);
numcorr = zeros(length(dt), length(numNormal),length(numPlace),length(numTwoDir),length(numHeadTwo), ...
    length(numPoisson), length(removeNb), length(dimPCA), length(neuronPoint), length(euclidDist), 12);
% betti1 = zeros(length(dt), length(numNormal),length(numPlace),length(numTwoDir),length(numHeadTwo), ...
%     length(numPoisson), length(removeNb), length(dimPCA), length(neuronPoint), length(euclidDist));
betti0 = [];
betti1 = [];
betti2 = [];
for i = 1:length(dt)
    for j = 1:length(numNormal)
        for k = 1:length(numPlace)
            for l = 1:length(numTwoDir)
                for m = 1:length(numHeadTwo)
                    for n = 1:length(numPoisson)
                        for o = 1:length(removeNb)
                            for p = 1:length(dimPCA)
                                for q = 1:length(neuronPoint)
                                    for r = 1:length(euclidDist)
                                        num = num+1;
                                        if(strcmp('eirene', software))
                                            [dims, births, deaths] = Eirene_Load(totName,num);                             
                                           figure;
                                            plot_persistence_diagram(0, dims, births, deaths);
%                                             lensNeur = [length(numNormal{i,j}(numNormal{i,j}>0)); length(numPlace{i,k}(numPlace{i,k}>0));...
%                                                 length(numTwoDir{i,l}(numTwoDir{i,l}>0));length(numHeadTwo{i,m}(numHeadTwo{i,m}>0));...
%                                                 length(numPoisson{i,n}(numPoisson{i,n}>0))];
%                                             [a1, a2, r1, r2, r3, r4, r5, r6, r7, r8, p1 , p2 , p3 ,p4]  ...
%                                                 = Eirene_analysis(totName, lensNeur, num);
%                                             life12(i,j,k,l,m,n,o,p,q,r, :) = [a1, a2];
%                                             numcorr(i,j,k,l,m,n,o,p,q,r, :) = [r1, r2, r3, r4, r5, r6, r7, r8 p1, p2, p3, p4];
                                        elseif(strcmp('ripser', software))

                                            [dims, births, deaths] = load_ripser_diagram(['C:\\Users\\ingenting\\OneDrive\\Documents\\Skole\\Progging_PH\\Head_Cell\\Deliver\\Data\\' totName '\\out' num2str(num)]);
                                            [a1, a2, b1] = PD_analysis(dims, births, deaths);
                                            life12(i,j,k,l,m,n,o,p,q,r,:) = [a1, a2];
                                            betti0 = [betti0 length(find(dims == 0 | dims == -1))];
                                            betti1 = [betti1 length(find(dims == 1 | dims == -2))];
                                            betti2 = [betti2 length(find(dims == 2 | dims == -3))];
%                                             betti1(i,j,k,l,m,n,o,p,q,r) = b1;
%                                             figure;
%                                              plot_persistence_diagram(0, dims, births, deaths);
%                                              figure;
%                                              plot_betti_curve(dims, births, deaths);
                                        elseif(strcmp('dipha', software))
                                            [dims, births, deaths] = load_dipha_diagram(['C:\\Users\\ingenting\\OneDrive\\Documents\\Skole\\Progging_PH\\Head_Cell\\Data\\' totName '\\' num2str(num)]);
                                            [a1, a2, b1] = PD_analysis(dims, births, deaths);
                                            life12(i,j,k,l,m,n,o,p,q,r) = [a1, a2];
                                            betti1(i,j,k,l,m,n,o,p,q,r) = b1;
                                        end
                                    end
                                end
                            end
                        end
                    end
                end
            end
        end
    end
end
delta2 = toc;
disp(delta2);
delta = delta1+delta2;
disp(delta);

figure
plot_persistence_diagram(0, dims, births, deaths);

% figure
% plot(1:4:400,betti1(1:end));
% hold on 
% plot(1:4:400,betti2(1:end));
% xlabel('N');
%         ylabel('Betti number');
% set(findall(gca, 'Type', 'Line'),'LineWidth',2);
%         set(gca,'FontSize',20)
%         hold off
% % 
% ls = [length(dt), length(numNormal), length(numPlace), length(numTwoDir), length(numHeadTwo), length(numPoisson), ...
%     length(removeNb), length(dimPCA), length(neuronPoint), length(euclidDist)];
%     plotEireneAnalysis( life12, numcorr, ls);
        
% if(strcmp('eirene', software))
%         plotEireneAnalysis( life12, numcorr, ls);
%     save(['Data/' totName '/analysis'], 'life12', 'numcorr', 'ls', 'delta');
% 
% else    
%     %     writeAnalysisFile(rel, life, totName, ls);
%     plotAnalysis(life12, betti1, ls);
%     save(['Data/' totName '/analysis'], 'life12', 'betti1', 'ls', 'delta');
%     %     system('python ScatterPlotly.py');
% end

